#ifndef __IWLLIST_H
#define __IWLLIST_H

#define IWL_PREPEND 1
#define IWL_APPEND  2

struct iwl_node {
    struct iwl_node RFAR *next;
    struct iwl_node RFAR *prev;
};

struct iwl_list {
    struct iwl_node RFAR *head;
    struct iwl_node RFAR *tail;
};

void iwl_InitList(struct iwl_list RFAR *list);
void iwl_AddNode(struct iwl_list RFAR *list, struct iwl_node RFAR *node, struct iwl_node RFAR *where, int pa);
void iwl_DeleteNode(struct iwl_list RFAR *list, struct iwl_node RFAR *node);
#endif
